local VERSION = tonumber(("$Revision: 54149 $"):match("%d+"))

local Spyglass = Spyglass

if Spyglass.revision < VERSION then
	Spyglass.version = "r" .. VERSION
	Spyglass.revision = VERSION
	Spyglass.date = ("$Date: 2007-11-08 04:48:19 -0500 (Thu, 08 Nov 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local _G = _G

function Spyglass:SetItemTooltip(button, link)
    if link then
        if not self.inInspectRange or
           not GameTooltip:SetInventoryItem(self.frame.unit,
                                            button:GetID()) then
            GameTooltip:SetHyperlink(link)
        end
    else
        GameTooltip:Hide()
    end
end

function Spyglass:ButtonOnEnter()
    GameTooltip:SetOwner(this, "ANCHOR_RIGHT")
    
    local slotName = strsub(this:GetName(), 8, -5)
    self:SetItemTooltip(this, self.currentInfo.equipment[slotName])
    
    CursorUpdate()
end

function Spyglass:ButtonOnClick(button)
    local slotName = strsub(button:GetName(), 8, -5)
    HandleModifiedItemClick(self.currentInfo.equipment[slotName])
end

function Spyglass:UpdateButtons(info, slots)
    local equipment = info.equipment
    local button, link, texture
    
    for slotName in pairs(slots) do
        button = _G['Inspect'..slotName..'Slot']
        link = equipment[slotName]
        if link then
            _, _, _, _, _, _, _, _, _, texture = GetItemInfo(link)
            button.hasItem = true
        else
            texture = button.backgroundTextureName
            button.hasItem = false
        end
        
        SetItemButtonTexture(button, texture)
        SetItemButtonCount(button, 0)
        
        if GameTooltip:IsOwned(button) then
            self:SetItemTooltip(button, link)
        end
    end
end
